#ifndef PRINTWRITER_H
#define PRINTWRITER_H

/*
 * @(#)PrintWriter.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

class PrintWriter {
	FILE *out;
public:
	PrintWriter(int fd);
	PrintWriter(PrintWriter *writer);
	~PrintWriter();
	void close();
	void flush();
	void write(const char *str);
	void write(const char *buf, int off, int len);
	void write(class String &s);
	void write(class StringBuffer &s);
};

#endif
